$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-viewer'
$url        = 'https://www.softwareideas.net/Download/File/586/SoftwareIdeasViewer-11-30.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  softwareName  = 'Software Ideas Viewer*'

  checksum      = '58a0d83109c017b843b70bdf748ef062ee43c0a5b28273eabb263cedd2d1e469'
  checksumType  = 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
